summaryrefslogtreecommitdiffhomepage
path: root/010.pkgconf_host.vars
diff options
context:
space:
mode:
Diffstat (limited to '010.pkgconf_host.vars')
-rw-r--r--010.pkgconf_host.vars19
1 files changed, 19 insertions, 0 deletions
diff --git a/010.pkgconf_host.vars b/010.pkgconf_host.vars
new file mode 100644
index 00000000..3443633b
--- /dev/null
+++ b/010.pkgconf_host.vars
@@ -0,0 +1,19 @@
+#
+# . ./build.vars and set -o errexit -o noglob are assumed.
+#
+
+pkg_pkgconf_host_install_post() {
+ if [ -e ${PREFIX}/bin/${TARGET}-pkg-config ]; then
+ rm -f -- ${PREFIX}/bin/${TARGET}-pkg-config;
+ fi;
+ cat > ${PREFIX}/bin/${TARGET}-pkg-config <<EOF
+#!/bin/sh
+if [ -z "\${PREFIX_NATIVE}" ]; then
+ PREFIX_NATIVE=${PREFIX_NATIVE};
+fi;
+"\$(dirname "\${0}")"/pkgconf --define-variable=prefix=\${PREFIX_NATIVE%/}/ "\$@";
+EOF
+ chmod +x ${PREFIX}/bin/${TARGET}-pkg-config;
+};
+
+# vim:filetype=sh